Subject: Re: Patch "usbnet: smsc95xx: Forward PHY interrupts to PHY driver to avoid polling" has been added to the 5.15-stable tree

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 29 Aug 2022 10:12:15 +0200

On Fri, Aug 26, 2022 at 03:21:37PM +0200, Lukas Wunner wrote:
> Dear Sasha, Dear Greg,
> 
> On Mon, Aug 15, 2022 at 02:12:23AM -0400, Sasha Levin wrote:
> > This is a note to let you know that I've just added the patch titled
> > 
> >     usbnet: smsc95xx: Forward PHY interrupts to PHY driver to avoid polling
> > 
> > to the 5.15-stable tree which can be found at:
> 
> Please consider reverting upstream commit
> 
>   1ce8b37241ed291af56f7a49bbdbf20c08728e88
>   usbnet: smsc95xx: Forward PHY interrupts to PHY driver to avoid polling")
> 
> in 5.15-stable and 5.18-stable.
> 
> I have received two independent reports (from Mark Brown and Phil Elwell)
> that the commit breaks link detection on LAN95xx USB Ethernet adapters
> in those trees.
> 
> The commit works fine in v5.19, but the backports to 5.15 and 5.18 are
> apparently missing prerequisites.  Until we've figured out what those are,
> the commit should be reverted.

I had to revert 2 commits for this.

Also, 5.18 is end-of-life, no need to worry about that anymore, no one
should be using it.

thanks,

greg k-h